/* @import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700;800;900&display=swap"); */

@import url("https://fonts.googleapis.com/css2?family=Lato:wght@400;700;900&display=swap");
@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --white: #fff;

  --brandPrimary: #00a653;
  --brandSecondary: #16994a;
  --darkPrimary: #080808;
}
@layer base {
  body {
    font-size: 16px;
    font-weight: 400;
  }
  ::-webkit-scrollbar {
    width: 6px;
    height: 8px;
  }

  ::-webkit-scrollbar-track {
    border-radius: 100vh;
    background: transparent;
  }

  ::-webkit-scrollbar-thumb {
    background: var(--brandPrimary);
    border-radius: 100vh;
    border: 3px solid transparent;
  }
  html {
    scroll-behavior: smooth;
  }
}

@layer components {
  .container_section {
    @apply mx-auto w-full xl:w-5/6 px-4 md:px-10 xl:px-0;
  }

  .nav_list {
    @apply inline-block my-2 mx-4;
  }
  .nav_link {
    @apply text-white text-lg relative transition-all duration-300 ease-in;
  }
  .active_link {
    @apply text-brand-primary font-bold;
  }
  .footer_link {
    @apply text-white text-base font-normal list-disc list-inside pt-2;
  }
}
/* ============== Section top ============== */
/* h1[id]::before,
h2[id]::before,
h3[id]::before,
h4[id]::before,
h5[id]::before,
h6[id]::before {
  content: "";
  display: block;
  height: 110px;
  margin-top: -110px;
  visibility: hidden;
} */
/* #section_container::before {
  content: "";
  display: block;
  height: 500px;
  margin-top: -500px;
  visibility: hidden;
}
 */
